Summary:   	User-friendly telnet client designed for BBS browsing
Name:      	pcmanx-gtk2
Version:   	1.3
Release:   	%mkrel 1
License: 	GPLv2
Group:    	Networking/Other
Source0:	https://github.com/pcman-bbs/pcmanx/releases/download/%{version}/%{name}-%{version}.tar.xz
Url:       	https://github.com/pcman-bbs/pcmanx
BuildRequires:	gtk2-devel 
BuildRequires:	desktop-file-utils
BuildRequires:	libx11-devel 
BuildRequires:	libxft-devel
BuildRequires:	freetype2-devel 
BuildRequires:	fontconfig-devel
BuildRequires:	intltool 
BuildRequires:	gettext-devel
Provides:	pcmanx = %{version}-%{release}
Obsoletes:	pcmanx-pure-gtk2

%description
An easy-to-use telnet client mainly targets BBS users.
PCMan X is a newly developed GPL'd version of PCMan, a full-featured famous BBS
client formerly designed for MS Windows only.
It aimed to be an easy-to-use yet full-featured telnet client facilitating BBS
browsing with the ability to process double-byte characters.

%prep
%setup -q

%build
%configure2_5x --enable-static --disable-shared
%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="RemoteAccess" \
	--remove-key='Encoding' \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
	$RPM_BUILD_ROOT%{_datadir}/applications/*

rm -f %buildroot%_libdir/*
%find_lang pcmanx

%files -f pcmanx.lang
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/pcmanx
%{_datadir}/pcmanx
%{_mandir}/man1/pcmanx.1*
%{_datadir}/pixmaps/pcmanx.svg
%{_datadir}/applications/*.desktop



%changelog
* Wed Feb 17 2016 yochenhsieh <yochenhsieh> 1.3-1.mga6
+ Revision: 963622
- New version 1.3

* Mon Feb 01 2016 umeabot <umeabot> 1.2-5.mga6
+ Revision: 929857
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-4.mga5
+ Revision: 746247
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-3.mga5
+ Revision: 683369
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2-2.mga4
+ Revision: 522368
- Mageia 4 Mass Rebuild

* Sat Feb 23 2013 yochenhsieh <yochenhsieh> 1.2-1.mga3
+ Revision: 400038
- New version 1.2 & removed unused patch

* Sun Jan 13 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 362653
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 25 2012 yochenhsieh <yochenhsieh> 1.1-2.mga3
+ Revision: 263489
- Merge fontconfig patch from git
- Remove BuildRequires: imagemagick (use svg icon now, no need to resize it)

* Mon Jan 30 2012 yochenhsieh <yochenhsieh> 1.1-1.mga2
+ Revision: 203221
- new version 1.1
- new version 1.1

* Fri Sep 16 2011 fwang <fwang> 1.0-1.mga2
+ Revision: 144168
- update file list
- new version 1.0

* Fri Apr 08 2011 ennael <ennael> 0.3.9-2.mga1
+ Revision: 82276
- clean spec file
- imported package pcmanx-gtk2

